package com.zd.app.controller;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 拍照检查附件对象 lab_photo_inspection
 *
 * @author zd
 * @date 2021-08-31
 */
@ApiModel("拍照检查附件表")
public class LabPhotoInspection extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 进出记录表id
     */
    @ApiModelProperty("进出记录表id")
    @Excel(name = "进出记录表id")
    private Long accessId;

    /**
     * 附件对应标题（参照字典表）
     */
    @ApiModelProperty("附件对应标题（参照字典表）")
    @Excel(name = "附件对应标题", readConverterExp = "参=照字典表")
    private Integer annexTitle;

    /**
     * 附件url地址
     */
    @ApiModelProperty("附件url地址")
    @Excel(name = "附件url地址")
    private String annexUrl;

    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty("部门名称")
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 创建人（用于数据权限）
     */
    @ApiModelProperty("创建人（用于数据权限）")
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    private Long userId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAccessId(Long accessId) {
        this.accessId = accessId;
    }

    public Long getAccessId() {
        return accessId;
    }

    public void setAnnexTitle(Integer annexTitle) {
        this.annexTitle = annexTitle;
    }

    public Integer getAnnexTitle() {
        return annexTitle;
    }

    public void setAnnexUrl(String annexUrl) {
        this.annexUrl = annexUrl;
    }

    public String getAnnexUrl() {
        return annexUrl;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("accessId", getAccessId())
                .append("annexTitle", getAnnexTitle())
                .append("annexUrl", getAnnexUrl())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
